## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Sphinx-generated HTML documentation is not suitable for packaging; see
# https://bugzilla.redhat.com/show_bug.cgi?id=2006555 for discussion.
#
# We can generate PDF documentation as a substitute.
%bcond_with doc_pdf

Name:           python-vecrec
Version:        0.3.1
Release:        %autorelease
Summary:        2D vector and rectangle library

License:        MIT
URL:            https://github.com/kxgames/vecrec
Source0:        %{pypi_source vecrec}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with doc_pdf}
BuildRequires:  make
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3-sphinx-latex
BuildRequires:  latexmk
%endif

BuildRequires:  python3dist(pytest)

%global common_description %{expand:
This package provides 2D vector and rectangle classes. These classes were
written to be used in games, so they have some methods that conveniently tie
into pyglet and pygame, but for the most part they are quite general and could
be used for almost anything.}
%description %{common_description}


%package -n python3-vecrec
Summary:        %{summary}

%description -n python3-vecrec %{common_description}


%package doc
Summary:        Documentation and examples for vecrec

%description doc %{common_description}


%prep
%autosetup -n vecrec-%{version}

# Remove HTML coverage directory with bundled JavaScript and other cruft
rm -rvf tests/htmlcov
# Patch out coverage dependencies
sed -r -i '/\b(pytest-cov|coveralls)\b/d' pyproject.toml
sed -r -i \
    -e 's/[[:blank:]]--cov[^=[:blank:]]*[= ][^[:blank:]]+//g' \
    -e 's/--no-cov[^[:blank:]]*//g' tests/pytest.ini

# Drop intersphinx mappings, since we can’t download remote inventories and
# can’t easily produce working hyperlinks from inventories in local
# documentation packages.
echo 'intersphinx_mapping.clear()' >> docs/conf.py

# Remove shebangs from modules. These are not script-like, so shebangs are
# useless. The find-then-modify pattern keeps us from discarding mtimes on
# any sources that do not need modification.
find vecrec -type f -exec \
    gawk '/^#!/ { print FILENAME }; { nextfile }' '{}' '+' |
  xargs -r -t sed -r -i '1{/^#!/d}'


%generate_buildrequires
%pyproject_buildrequires -x tests%{?with_doc_pdf:,docs}


%build
%pyproject_wheel

%if %{with doc_pdf}
%make_build -C docs latex SPHINXOPTS='%{?_smp_mflags}'
%make_build -C docs/build LATEXMKOPTS='-quiet'
%endif


%install
%pyproject_install
%pyproject_save_files vecrec


%check
%pytest tests


%files -n python3-vecrec -f %{pyproject_files}
# pyproject-rpm-macros takes care of LICENSE.txt; verify with “rpm -qL -p …”
%doc README.rst


%files doc
%license LICENSE.txt
%doc README.rst
%if %{with doc_pdf}
%doc {_vpath_builddir}/_latex/vecrec.pdf
%endif


%changelog
* Wed Mar 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.3.1-1
- Update to 1.3.1 (close RHBZ#2037893)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.3.0-1
- Initial package (close RHBZ#2023407)
